Bug 857760 - Error/typo in openssh-ldap HOWTO file
Summary: Error/typo in openssh-ldap HOWTO file
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: openssh
Version: 6.3
Hardware: Unspecified
OS: Linux
unspecified
low
Target Milestone: rc
: ---
Assignee: Petr Lautrbach
QA Contact: Jiri Jaburek
URL:
Whiteboard:
Depends On:
Blocks: 965038
TreeView+ depends on / blocked
 
Reported: 2012-09-16 20:40 UTC by Christoph Galuschka
Modified: 2013-05-20 10:52 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 965038 (view as bug list)
Environment:
Last Closed: 2013-02-21 10:28:10 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2013:0519 normal SHIPPED_LIVE Moderate: openssh security, bug fix and enhancement update 2013-02-20 21:28:57 UTC

Description Christoph Galuschka 2012-09-16 20:40:04 UTC
Description of problem:
The howto /usr/share/doc/openssh-ldap-5.3p1/HOWTO.ldap-keys seems to contain typos that affect the usability of the HWOWTO:

The HOWTO suggests to include the following line in sshd_config :

AuthorizedKeysCommand "/usr/libexec/openssh/ssh-ldap-wrapper"

The correct line is :

AuthorizedKeysCommand /usr/libexec/openssh/ssh-ldap-wrapper

Without "". When using "", sshd skip the ldap-warpper and directly tries to read the ~/.ssh/authorized_keys file

Version-Release number of selected component (if applicable):
openssh-ldap-5.3p1-81.el6.x86_64
openssh-server-5.3p1-81.el6.x86_64
openssh-clients-5.3p1-81.el6.x86_64
openssh-5.3p1-81.el6.x86_64


How reproducible:
always

Steps to Reproduce:
1. install package openssh-ldap
2. search for 'AuthorizedKeys' in the HOWTO mentioned above
  
Actual results:


Expected results:


Additional info:

Comment 5 errata-xmlrpc 2013-02-21 10:28:10 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2013-0519.html


Note You need to log in before you can comment on or make changes to this bug.